Subject: bug#22472: [O] bug#22472: 25.0.50; org-mode: latex fragments can't be un-rendered after a revert

From: "Stephen J. Barr" <[email-masked]>
Date: Fri, 5 Feb 2016 14:28:31 -0800

I was in the progress of writing my own email about this same issue. I was
not aware that C-c C-c is no longer used for disabling overlays. If this is
the case, what is the correct workflow for toggling these previews on and
off?

Thanks,

-Stephen

Stephen J. Barr
PhD Candidate, Operations Management
Dept: Information Systems and Operations Management (ISOM)
Michael G. Foster School of Business
University of Washington
Phone:  425 516 5012
Email: [email-masked]
Twitter: @stevejb
Website: http://stephen.planetbarr.com

On Fri, Feb 5, 2016 at 2:10 PM, Nicolas Goaziou <[email-masked]>
wrote:

> Hello,
>
> Dima Kogan <[email-masked]> writes:
>
> > Ah. Thanks for explaining. The patch helps somewhat, but one can still
> > get into an inconsistent state:
> >
> >   1. Write \(1 + 2\)
> >   2. Toggle overlay with C-c C-x C-l
> >   3. M-x revert-buffer
> >
> > After the revert, the overlay remains, which is arguably OK, since the
> > text has not changed. However after the revert org doesn't realize that
> > the overlay is still up: org-latex-fragment-image-overlays is nil.
>
> Indeed.
>
> `org-latex-fragment-image-overlays' is a local variable and
> `revert-buffer' calls `normal-mode', which, in turn, calls
> `fundamental-mode'. The latter calls `kill-all-local-variables'.
> Information is lost.
>
> I don't think that `org-latex-fragment-image-overlays' is useful,
> anyway. So I removed it, along with that bug, hopefully.
>
> > I think the overlays should all disappear on a revert.
>
> I'm not convinced that an unmodified overlay should disappear.
>
> Thank you for the report.
>
>
> Regards,
>
> --
> Nicolas Goaziou
>
>
>
>